# 11.conf
AddType text/html .shtml
AddOutputFilter INCLUDES .shtml
<VirtualHost *>
	DocumentRoot "C:/CST1611/Week/11"	
	ServerName dynamic.test
	ErrorLog logs/localhost.Error.log
	CustomLog logs/localhost.Access.log common
	DirectoryIndex index.shtml index.html
	<Directory "C:/CST1611/Week/11/">
		Options All +MultiViews
		AllowOverride All
		Require all granted
	</Directory>
	Alias "/ssi.html" "C:/CST1611/Week/11/ssi.shtml"
	#AddHandler cgi-script .cgi .pl
	AddHandler cgi-script .cmd
</VirtualHost>

# perl
AddHandler cgi-script .pl

# php
# PHP8 module
PHPIniDir "C:/php"
LoadModule php_module "C:/php/php8apache2_4.dll"
AddType application/x-httpd-php .php .phtml

# python
AddHandler cgi-script .py
